profile
viewpoint
Ankush Agarwal ankushagarwal San Francisco

push eventankushagarwal/libra

Ankush Agarwal

commit sha 3ed823a3ed46180d8155d7f2e8d0f2ff4cf45b9c

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in 32 minutes

push eventankushagarwal/libra

Ankush Agarwal

commit sha 28d46978416bd5bc0bdcc16fc21bb8759ccfd5d6

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in 36 minutes

push eventankushagarwal/libra

Ankush Agarwal

commit sha d97367ca1b1907129b83b1c38d36ad62dda63648

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha b3cc970660c4bdb0e0f81fe3d49dca8a8370a461

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha 63127675b98e9abb63496646c2f81d29b6d62901

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha bd6f1a50c365da556242c4a2a037f1cbb571b21a

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha 82c60f8d17e75b0def7f2d0639abcdc025782f49

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Qinfan Wu

commit sha 7b45fad79e75405e7de66b088742c0b4f111affc

[Storage] Rename all client APIs to not end with async For each of these APIs, there used to be one async version and one synchronous version, so some are named *_async. Now that there is only the async version, there is no need to put async in the name. Closes: #2261 Approved by: msmouse

view details

David Wolinsky

commit sha df7b8253f6b7c8ce927e5da285eebedcfb75258c

[consensus] eliminate chained_bft_consensus_provider Merged chained_bft_smr and chained_bft_consensus_provider. This required pushing some logic into the consensus_provider and other logic into chained_bft_smr. The former holds the specifics on which production details whereas the latter contains enough for library usage (tests + production). Closes: #2257 Approved by: davidiw

view details

David Wolinsky

commit sha 479c3d79b395632d65f34db5be76ac30170758df

[common] rename tools to temppath Tools was a misnomer since it only contained temppath. Also in the interest in responsibilty and dependency separation, it makes sense to move this into its own properly named crate. Closes: #2256 Approved by: davidiw

view details

Andrey Chursin

commit sha b6bab1fc9c190b7117e62d8dd84e093fb8d31e87

[cluster-test] Introducing cti - Cluster Test Interface cti is command line tool similar to ct that can be used to run cluster test Unlike `ct`, `cti` is meant to be runt from laptop It takes git hub pull request number and other cluster test arguments as an input, builds docker image and runs cluster test on this image. It leverages codebuild to build image, and then invokes ct via ssh to run cluster test This is initial, very simple version that meant to evolve over time Known caveats: * Currently it runs on workspace shared with Circle CI and between all users. If multiple people and/or circle tries to call `cti` at the same time, build stage is done in parallel, but then users are queued. Queueing mechanism is simple and does not provide fairness. * It uses ssh to run cluster test and provide output to user. If ssh session dies, there is no way to retrieve `cti` output and you would have to run it again Closes: #2262 Approved by: ankushagarwal

view details

Sam Blackshear

commit sha 7cfb0d843bf4be000294719e9a462a863808be55

[language] simplify minting code - Eliminated explicit release of reference required by the old borrow checker - Borrow total_value field once instead of twice - Minimize usage of local variables Closes: #2253 Approved by: shazqadeer

view details

aldenhu

commit sha 1e3529e27b1bd5856ff39641c08ffcecb5910a54

find . -name '*.proto' | xargs clang-format -i Closes: #2265 Approved by: wqfish

view details

aldenhu

commit sha 106b1a4c0c32ae46dfcfa1f05340e0c7dffac9a6

trivial: remove redundant space Closes: #2265 Approved by: wqfish

view details

Ankush Agarwal

commit sha 957ff0374db812665c852d43ee189900556b5818

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha af58cb0be879a998a4decab9ac7a222a9c435070

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in an hour

push eventankushagarwal/libra

Ankush Agarwal

commit sha 84d0dd8887f25d4d6d6ef49b368dd3c6c71e3648

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in 2 hours

push eventankushagarwal/libra

Ankush Agarwal

commit sha 4311916fec9b0d4b784d810ab5615872428e14f9

[dev-infra][build] Fix cluster-test build on AWS Codebuild

view details

push time in 3 hours

Pull request review commentlibra/libra

[cluster-test] Introducing cti - Cluster Test Interface

+#!/bin/bash+# Copyright (c) The Libra Core Contributors+# SPDX-License-Identifier: Apache-2.0+set -e++aws codebuild list-projects >/dev/null || (echo "Failed to access codebuild, try awsmfa?"; exit 1)

These checks can be moved to after flag parsing checks so that these don't run when incorrect flags are input by the user

andll

comment created time in 3 hours

Pull request review commentlibra/libra

[cluster-test] Introducing cti - Cluster Test Interface

+#!/bin/bash+# Copyright (c) The Libra Core Contributors+# SPDX-License-Identifier: Apache-2.0+set -e++aws codebuild list-projects >/dev/null || (echo "Failed to access codebuild, try awsmfa?"; exit 1)+ssh ssh.cluster-test-ci.aws.hlw3truzy4ls.com echo "ssh ok" >/dev/null || (echo "Failed to ssh to cluster test instance. Try renew corp canal cert with cc-certs"; exit 1)++PR=""++while (( "$#" )); do+  case "$1" in+    -p|--pr)+      PR=$2+      shift 2+      ;;

It would be good to add a --help flag which prints the usage for this tool similar to https://github.com/libra/libra/blob/master/docker/build-aws-base.sh#L37

andll

comment created time in 3 hours

create barnchankushagarwal/libra

branch : codebuild-ct

created branch time in 3 hours

PR opened libra/libra

[dev-infra][build] Fix cluster-test build on AWS Codebuild

Summary

WIP

Test Plan

+13 -8

0 comment

2 changed files

pr created time in 3 hours

delete branch ankushagarwal/libra

delete branch : awscodebuild2

delete time in 4 hours

delete branch ankushagarwal/libra

delete branch : test-cluster-test

delete time in 4 hours

delete branch ankushagarwal/libra

delete branch : codebuild-ct

delete time in 4 hours

pull request commentlibra/libra

[dev-infra][build] Add buildspec and script for cluster-test

@bors-libra r=sausagee

ankushagarwal

comment created time in 4 hours

pull request commentlibra/libra

[cluster-test] Simplify running performance test

@bors-libra delegate+

andll

comment created time in 5 hours

push eventankushagarwal/libra

Ankush Agarwal

commit sha 6a79fb3fae96b9a3a68ebc4d30377b40b0ec333f

[dev-infra][build] Add buildspec and script for cluster-test

view details

push time in 5 hours

push eventankushagarwal/libra

Bob Wilson

commit sha 572e035cc0e868ff99be0b263a8b7a5cbff125a4

[language][move] Improve parser error messages for comma-separated lists Replace some "unexpected token" errors with messages that are specific to comma-separated lists. This changes the parse_comma_list function to also consume the starting and ending tokens, so that it can report better messages about them. For type arguments, where the starting "<" character is attached to the type name token, this requires identifying the source location for that "<" character and also a separate parse_comma_list_after_start entry point. To simplify the code a bit, this also adds a new match_token function that combines the operation of checking for a token and then advancing past it. Closes: #2067 Approved by: tnowacki

view details

Runtian Zhou

commit sha 6afbb6c28b0d93236ec549acb5d156d290650d92

[vm] Unify logic for processing WriteSet. Closes: #2217 Approved by: dariorussi

view details

Brett Proctor

commit sha 4607fd2de91eca8832d10975fe6e11a4539b45a5

[mint] Fix docker mint config reference Closes: #2240 Approved by: davidiw

view details

Wolfgang Grieskamp

commit sha aaca7bba4141e26cbf4ca8881105042ef68bac59

Adding more specs to libra_account. This adds more (now ~50%) specifications to our copy of libra account. All specs do verify. It also extends the translator to correctly deal with conditions on native functions, to handle the ExistsTxnSenderAccount builtin precondition, and to constraint integers better. There are a number of issues this unearthed: - The specs are very repetitive. We definitely need to think about abstractions to make them more readable. - We definitely also need better ways to analyze boogie traces and models. The models are completely unusable. Would be nice to combine the traces and models somehow. - We currently cannot write `old(global_exists(...))` (restriction of spec AST and parser), but we need this to represent certain conditions. There is a TODO in the code. - The bug about LibraAccount.create_account turned out (after offline sync with Sam) more to be an ambigious documentation of a native function. After correcting this it's fixed (and with the spec the native function's doc is now clear ;-) - There is possibly another bug in `LibraAccount.pay_from_sender(payee, amount)`. Specifically, payee can be txn_sender. This doesn't seem right so I "corrected" this bug and added a TODO to further investigate. Closes: #2239 Approved by: sblackshear

view details

Wolfgang Grieskamp

commit sha f1ebe94ea82af82ba07d7e42f3f3891543c53ecb

Supporting old on arbitrary spec expressions, and allowing implies. This moves the `Old` variant from StorageLocation to SpecExpr in AST and parser and allows it to be used more generally (specifcally, `old(global_exists...)`). It also adds the `==>` operator to spec expressions. This is implemented as syntactic sugar which can be isolated in the parser. The libra_account specifications have been updated to use this new functionality, and verify more. Closes: #2242 Approved by: sblackshear

view details

Rex Hoffman

commit sha bc1ba353c837a4623ea91524a28068006a2f5a5e

[ci] show code coverage Closes: #2243 Approved by: sausagee

view details

David Wolinsky

commit sha efda6e692624540a040453b89461a19cf10c23bc

[docker] fix and improve mint mint.Dockerfile didn't copy in config-builder, now it does. run.sh was aesthetically improved. docker-run.sh expected a seed when others did not, this makes it compatible with other local runs. Closes: #2244 Approved by: opsguy

view details

David Wolinsky

commit sha 8d783f51a1b78b0bd5d54af29e2a5359e0438cde

[config] eliminate old config-builders We have deprecated these and then removed all the dependencies. Now is time to delete! Closes: #2245 Approved by: sausagee

view details

David Wolinsky

commit sha a137bc5c8b22b4e82a436f34cd596f96b540137a

[docker] add double quote to mint seed per title, this was caught by internal linter after landing: https://app.codacy.com/gh/libra/libra/pullRequest?prid=4843738 Closes: #2245 Approved by: sausagee

view details

Todd Nowacki

commit sha b92a1a35d1c30431c417da93ef403d1dba12c889

[move source lang] Added Liveness. Used Analysis to Fix Copies, Dead Assignments, and Dead References - Added liveness analysis - Made some minor changes to keep more state in abs. int. framework - Used liveness data to switch last copy to a move - Error if inproperly annotated by the user - Added errors for unused assignments/let - Inserted inferred releases/pops of references that were live during a loop, but dead after Closes: #2207 Approved by: sblackshear

view details

Rex Hoffman

commit sha 0f0cea181b2be61010c466ef1f939ae64056e9ab

[CI] run hadolint during the build as a warning Closes: #2246 Approved by: sausagee

view details

David Wolinsky

commit sha 1c626c6bfaf5f7cd938b88d1375985546646b90d

[config] Add more service models for SafetyRules SafetyRules will support two service models: 1) Consensus can start the process directly (SpawnedProcess) 2) SafetyRules will be started independently and on its own (Process) This commit adds these values to the enum. Future commits will add the appropriate logic to SafetyRules and Consensus. Closes: #2208 Approved by: davidiw

view details

David Wolinsky

commit sha dfde558ac15eda2263e26b5bad52b402fac6223f

[consensus] prepare for separate safety rules process This refactors the code so that it can conveniently be leveraged in the process model. Specifically the common code across thread-approach. Closes: #2208 Approved by: davidiw

view details

David Wolinsky

commit sha a645624ebebff4e26926578630a96f7c74d9765d

[swarm] Make common the internal builder This is a really cool utility to build binaries on the fly. It also can be used to create a separate safety rules for test applications. Closes: #2208 Approved by: davidiw

view details

David Wolinsky

commit sha 2402503fbdc3b2c7b16807a84f43de0eda995d29

[consensus] refactor SafetyRulesManager Some of this helper code can be reused without needing to generate an object, so separating it accordingly. Closes: #2208 Approved by: davidiw

view details

David Wolinsky

commit sha ce75112503dd6a80687b64aa56838c22648f540f

[consensus] Add safety rules process Main takes in a NodeConfig and begins a network contained SafetyRules SpawnedProcess sets this up assuming that Libra (or some process) owns SafetyRules. This will be useful for tests and perhaps early production deployment. Closes: #2208 Approved by: davidiw

view details

David Wolinsky

commit sha 371f2040f8c2611eb80bec6b073b6936a5497462

[consensus] cleanup safety rules thread Eliminate the dead code warning. We don't really need to keep this handle, but I think it is worthwhile to keep around so that once we implement tear down we can test it appropriately in this domain. Closes: #2208 Approved by: davidiw

view details

Qinfan Wu

commit sha e905ec855eb95126130ae000914b7945a3ef5d87

[Storage] SchemaDB: iterator implementation should check status When the internal iterator is invalid, it could be that it reached the end of the data, but it could also be that there is an error. So we should always check status. With the change it might be possible that the iterator generates errors indefinitely, so we probably should audit the callers to see if they are doing the right thing... Closes: #2248 Approved by: davidiw

view details

Wolfgang Grieskamp

commit sha 046fa5e70505f4ca7e88ea25c72ac814eaa236b3

Introduce the ability to define native move procedures and helper functions in Boogie. This adds the ability to add a file `<name>.prover.bpl` which lives SxS with `<name>.mvir` and contains boogie definitions for native move functions as well as helper functions for the specifications. The helper functions are a bit of a hack as we cannot type check them in the spec_translator, but they should work as long as they result integers and other primitive values. Existing generation of stubs for native functions is now behind a flag which is by default false. The feature hasn't yet used to define a lot of helpers and/or override definitions for native functions beyond what the compiler also generates, which happens in a separate step. Closes: #2249 Approved by: shazqadeer

view details

Clark Barrett

commit sha 1abfd250606b7aa42b1cb72ee3ad9b28e2f7999e

Added some basic specs to test cases. Closes: #2154 Approved by: cbarrettfb

view details

push time in 5 hours

Pull request review commentlibra/libra

[dev-infra][build] Add buildspec and script for cluster-test

+# This buildspec is for AWS Codebuild+version: 0.2++phases:+  install:+    runtime-versions:+      docker: 18+  pre_build:+    commands:+      - echo Logging in to Amazon ECR...+      - $(aws ecr get-login --no-include-email --region us-west-2)+  build:+    commands:+      - echo Build started on `date`+      - echo Building the Docker image...+      - docker/cluster-test/build.sh+  post_build:+    commands:+      - echo Build completed on `date`+      # Tag and push the docker images+      - SOURCE=cluster-test:latest TARGET_REPO=$LIBRA_CLUSTER_TEST_REPO TARGET_TAGS="${TAGS}:dev_$(git rev-parse --short HEAD)" docker/tag-and-push.sh

Its defined in libra-ops repo as part of the terraform config

ankushagarwal

comment created time in 5 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 42ff6282350dabc01819b88225e309752de542ce

[dev-infra][build] Add buildspec and script for cluster-test

view details

push time in 5 days

PR opened libra/libra

Reviewers
[dev-infra][build] Add buildspec and script for cluster-test

Summary

  • This adds a buildspec which will be used to define the build for cluster-test on AWS Codebuild
  • This also adds a script which can be invoked to trigger the build
+100 -0

0 comment

2 changed files

pr created time in 5 days

create barnchankushagarwal/libra

branch : codebuild-ct

created branch time in 5 days

PR opened libra/libra

TestCommit

<!-- Thank you for sending a PR. We appreciate you spending time to help improve the Libra project.

The project is undergoing daily changes. Pull Requests will be reviewed and responded to as time permits. -->

Motivation

(Write your motivation for proposed changes here.)

Have you read the Contributing Guidelines on pull requests?

(Write your answer here.)

Test Plan

(Share your test plan here. If you changed code, please provide us with clear instructions for verifying that your changes work.)

Related PRs

(If this PR adds or changes functionality, please take some time to update the docs at https://github.com/libra/website, and link to your PR here.)

+0 -0

0 comment

0 changed file

pr created time in 5 days

create barnchankushagarwal/libra

branch : test-cluster-test

created branch time in 5 days

pull request commentlibra/libra

[cluster-test] ct: use master image by default

@bors-libra r+

andll

comment created time in 5 days

pull request commentlibra/libra

Make a smoke test for cluster-test

@bors-libra delegate+

metajack

comment created time in 5 days

PR opened libra/libra

Reviewers
[dev-infra][build] Updates to script for aws codebuild

Summary

Improve UX:

  • Add $USER to the image tag
  • Add message about AWS Credentials
  • Add link to the build

Test Plan

Ran locally

+4 -4

0 comment

1 changed file

pr created time in 8 days

create barnchankushagarwal/libra

branch : awscodebuild2

created branch time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 7bb4b706675707160026100eaf3af3903bcfe682

[dev-infra][build] Updates to script for aws codebuild

view details

push time in 8 days

issue commentrust-lang/rustup

Confusing "toolchain does not support components" message when it's not installed

Ran into the same issue. @Riateche 's suggestion of rustup install 1.40.0 worked for me

Riateche

comment created time in 8 days

delete branch ankushagarwal/libra

delete branch : awscodebuild

delete time in 8 days

pull request commentlibra/libra

[dev-infra][build] Create a wrapper script for aws codebuild

@bors-libra r=sausagee

ankushagarwal

comment created time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 5770faec1cc8f91c24d496423fd1582b0fb72ce8

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

Pull request review commentlibra/libra

[dev-infra][build] Create a wrapper script for aws codebuild

+#!/bin/bash+# Copyright (c) The Libra Core Contributors+# SPDX-License-Identifier: Apache-2.0+# build-aws.sh builds the validator-dynamic image on AWS Codebuild and pushes the image to AWS ECR.+# Examples:+# build-aws.sh --version pull/123 # Builds the image from pull request 123 and tags it with dev_pr_123+# build-aws.sh --version u29a020 # Builds the image from commit u29a020 and tags it with dev_u29a020++if ! which jq &>/dev/null; then+  echo "jq is not installed. Please install jq"+  exit 1+fi++function print_usage() {+  echo "Usage: build-aws.sh --version pull/123"+  exit 1+}++while [[ "$1" =~ ^- ]]; do case $1 in+  --version )+    shift;+    if [[ "$1" =~ ^pull ]]; then+      SOURCE_VERSION="refs/${1}/head"+      TAGS="dev_pr_${1/\//_}"

I have updated it such that every build also gets tagged with dev_${ShortGitHash}. This should be always unique and with this we don't need the $User prefix. This should also avoid the ECR littering issue.

I have also added a way to add custom tags with --tags which can be used to add arbitrary user tags to every build.

ankushagarwal

comment created time in 8 days

Pull request review commentlibra/libra

[dev-infra][build] Create a wrapper script for aws codebuild

+#!/bin/bash+# Copyright (c) The Libra Core Contributors+# SPDX-License-Identifier: Apache-2.0+# build-aws.sh builds the validator-dynamic image on AWS Codebuild and pushes the image to AWS ECR.+# Examples:+# build-aws.sh --version pull/123 # Builds the image from pull request 123 and tags it with dev_pr_123+# build-aws.sh --version u29a020 # Builds the image from commit u29a020 and tags it with dev_u29a020++if ! which jq &>/dev/null; then+  echo "jq is not installed. Please install jq"+  exit 1+fi++function print_usage() {+  echo "Usage: build-aws.sh --version pull/123"

Added.

ankushagarwal

comment created time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 1cd3aca4b8ca4a4cb6aff459d25dba7956f54cd2

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha a0dcb9576d4c092d026f1569cad402ee8dcfe2d8

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha b612d012bb4fbd0b65763ac012810d69792a51c2

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 0275bbc9bbc01f5dea05c1f0948239fd01f7d957

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

push eventankushagarwal/libra

Tim Zakian

commit sha 7277be751325786f0e4ab583d25171b010a1acf6

[language] Fix simple bug in pay_with_capability. Forgot to pass through the metadata field in the `pay_with_capability` function in `LibraAccount`. This PR fixes this, and passes the field through. Amaneds a test for transaction fee distribution to make sure that the metadata is being included in the event. Closes: #2139 Approved by: dariorussi

view details

Tim Zakian

commit sha 6f65487902c139bbead928c09372d38bcea3e739

[test-generation] Make test generation seedable from commandline We can now pass in a seed that controls the generation of modules, and the generation of the control flow graph and instruction selection. Closes: #2101 Approved by: dariorussi

view details

Victor Gao

commit sha 2d2ab3acb7f3fe2357a1b9cae14c5325a14d50fc

[language][vm] fix <, <=, >, >= for u8 and u128 These comparison operators wasn't updated for u8 and u128 when they were added, resulting in vm internal type errors. This gets them fixed and adds the corresponding tests. Closes: #2189 Approved by: dariorussi

view details

Dario Russi

commit sha 1807e5e9f376589492343baf68e23e2fb95126cd

[language] Use MoveVM instead of VMRuntime in genesis generation This moves the genesis to use MoveVM instead of VMRuntime because MoveVM will be the only public interface. MoveVM is currently undocumented and docs will be coming soon. The plan is to have all usage of VRuntime gone first so we can have a better sense of what that API is. We had to add a couple of spurious functions to MoveVM to replicate the behavior of VMRuntime, we will see where we end up there. In the process we removed the old way to generate accounts and we now use the public API in LibraAccount. genesis.blob changed for a couple of reason: 1- make was removed from LibraAccount and so that binary is changing 2- make used to generate the event handlers for an account in the opposite order that new_account does and that changed all the sent and receive event to be build with opposite values (1 where 0 was used and 0 where 1 was used). So that is the other change. None of that should be problematic if not pushing a new genesis Closes: #2186 Approved by: sunshowers

view details

Philip Hayes

commit sha 4bce8e7f847ad3325b79b7b14f6ecbf7ef0455b3

tokio: update to "0.2.8" from "0.2.1" Closes: #2184 Approved by: bmwill

view details

Philip Hayes

commit sha 3188d43bfc66ac25b51e030cd360a4f51164352e

[common][futures-semaphore] update to use latest tokio Semaphore Closes: #2184 Approved by: bmwill

view details

Philip Hayes

commit sha b20ffb27c34d42bae3d46d016ecbae043c377a5b

[common][bounded-executor] mirror spawn API with tokio::Handle Closes: #2184 Approved by: bmwill

view details

Bob Wilson

commit sha 626d3ecc61142b3000ace8fce3d32a6f67600ba1

[language][move] Remove the NameBeginArgsValue token There is an ambiguity in the grammar for Move where a "<" character following a name in an expression term may be either a binary operator or the start of a list of type arguments. The Move parser does not currently have the capability to use name lookup to resolve this ambiguity based on the type of the name. Instead we have been relying on the presence of whitespace before the "<" character when it is used as a binary operator. This change continues that approach but does so by adding a targeted check for whitespace in the one place where the ambiguity exists, instead of the previous approach where the "<" character was "glued" to the name as a special NameBeginArgsValue token. Closes: #2193 Approved by: tnowacki

view details

Ankush Agarwal

commit sha 72a7e7ebe0f5e0d7b5415ab0e4a2b0bc39a64977

[build] Create a wrapper script for aws codebuild

view details

push time in 8 days

PR opened libra/libra

Reviewers
[dev-infra][build] Create a wrapper script for aws codebuild dev-infra

Summary

build-aws.sh is a wrapper script which submits a build job to aws codebuild and tracks its progress. To submit a build, one needs to provide either the PR number or any valid git ref (commit id, branch name, etc)

Test Plan

Ran locally

+67 -0

0 comment

1 changed file

pr created time in 12 days

push eventankushagarwal/libra

Ankush Agarwal

commit sha 9a4d1b85c6d472353169585642628ff105239254

[build] Create a wrapper script for aws codebuild

view details

push time in 12 days

create barnchankushagarwal/libra

branch : awscodebuild

created branch time in 12 days

PR closed libra/libra

[network] Use libra_channel bw networking and other modules

Summary

Use libra_channel bw networking and other modules

Test Plan

Existing unit tests

+183 -146

3 comments

16 changed files

ankushagarwal

pr closed time in 12 days

delete branch ankushagarwal/libra

delete branch : networking-libra-channel

delete time in 12 days

pull request commentlibra/libra

[cluster-test] Add full node logic in performance cluster test

@bors-libra r+

sunmilee

comment created time in a month

pull request commentlibra/libra

[libra_channel] Add feedback mechansim to libra_channel for msg delivery

@bors-libra r+

bothra90

comment created time in a month

pull request commentlibra/libra

[libra_channel] Implement clone for libra_channel::Sender

@bors-libra r+

bothra90

comment created time in a month

delete branch ankushagarwal/libra

delete branch : codebuild2

delete time in a month

delete branch ankushagarwal/libra

delete branch : revert2

delete time in a month

pull request commentlibra/libra

Revert PR 2091 storage: convert to tonic

@bors-libra r+

ankushagarwal

comment created time in a month

PR opened libra/libra

Test perf

<!-- Thank you for sending a PR. We appreciate you spending time to help improve the Libra project.

The project is undergoing daily changes. Pull Requests will be reviewed and responded to as time permits. -->

Motivation

(Write your motivation for proposed changes here.)

Have you read the Contributing Guidelines on pull requests?

(Write your answer here.)

Test Plan

(Share your test plan here. If you changed code, please provide us with clear instructions for verifying that your changes work.)

Related PRs

(If this PR adds or changes functionality, please take some time to update the docs at https://github.com/libra/website, and link to your PR here.)

+1041 -330

0 comment

33 changed files

pr created time in a month

create barnchankushagarwal/libra

branch : revert2

created branch time in a month

pull request commentlibra/libra

[codebuild] Add a buildspec to build and push validator images

@bors-libra r=opsguy

ankushagarwal

comment created time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 38c448cb0c550cba45b0bb038a7f88652b8f700f

[codebuild] Add a buildspec to build and push validator images

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha ac75125f3d47965cf4de75f2a90948e0d2f34e4b

[codebuild] Add a buildspec to build and push validator images

view details

push time in a month

pull request commentlibra/libra

[cluster-test] Add full node support to perf testing

@bors-libra r+

sunmilee

comment created time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 1d3e7609cbcdbf6388e0db560272b63b86f4ee47

[codebuild] Add a buildspec to build and push validator images

view details

push time in a month

pull request commentlibra/libra

[libra-channel] add debug impl for Sender

@bors-libra r+

christinacelee

comment created time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 3a92425097be2db41a6b1cf9154298fc2fb7533d

[cluster-test] Fix metrics for multi-region-simulation Closes: #1719 Approved by: andll

view details

Herman Venter

commit sha fb5c01c3e2a31f59cb8df4d0cfdfe77d31392c6b

[MIRAI] Add annotations to libra-mempool crate Closes: #1682 Approved by: tzakian

view details

Zekun Li

commit sha d2214408b0a12ae4cb8d4c035d64512b0c4d6ef9

[state sync] use synced_state as known version Closes: #1721 Approved by: dmitri-perelman

view details

Andrey Chursin

commit sha f22904cd2eba709c0cee1e2de03e4696907d8c2e

Update genesis.blob Used build_all.sh to regenerate correct version Closes: #1725 Approved by: huitseeker

view details

Qinfan Wu

commit sha 29a142248c2809c41654032908f77872f47ae256

[Storage][JellyfishMerkle] Reorder a few code blocks I always find it hard to look for code in this file. Putting the `impl` blocks closer to the struct definition so things are structured more consistently. Closes: #1726 Approved by: lightmark

view details

Qinfan Wu

commit sha e7882ef79f27c52a3a74e3bfd1e7194babf8d3e3

[Storage][JellyfishMerkle] Use Self when possible Closes: #1726 Approved by: lightmark

view details

Young Yang Liauw

commit sha 357ca5bc9239900d08f7dfac2ae61c57574bc234

[CI] check genesis blob in commit verify Check the genensis blob consistenchy as part of commit verify. Closes: #1727 Approved by: andll

view details

Andrey Chursin

commit sha e2fb078a31b3d2a9f57db187b380050bbfbea20d

[cluster-test] Make dockerfile for cluster test This diff introduces single dockerfile for cluster test in docker/cluster-test/cluster-test.Dockerfile Since we want to support incremental build, this docker file is generated via generate.sh script Fixes #1669 Closes: #1705 Approved by: sausagee

view details

Tim Zakian

commit sha 37bc1503d482906aba7497def7eaa53265494000

[cost-synthesis] Update creation of identifiers and fix bitrot Previously we could create invalid identifiers which would cause the generation to crash. We now make sure that all strings and identifiers conform to the identifiere specification in types. Also generated modules were previously not representng empty type parameter info previously. This fixes this as well. Closes: #1731 Approved by: shazqadeer

view details

Tim Zakian

commit sha c054ab6f8eb0f567ad9ecca106aa9d85b4150162

[language] Update gas meter and make more efficient We remove the parallel matching and execution of bytecodes and instead inline these directly into the interpreter. Closes: #1637 Approved by: dariorussi

view details

Zekun Li

commit sha 52835275e72c3589c1793417ac3c7fccdee2e0b0

[consensus] enforce genesis verification We enforce a few things in this change: - reject genesis block from the wire - enforce genesis qc has the same certified, parent and committed BlockInfo - enforce we only insert QC with the same BlockInfo locally Combined those checks, we're able to make sure once a node enters an epoch, it'll not switch genesis nor accept different genesis QC. Closes: #1734 Approved by: davidiw

view details

Zekun Li

commit sha e6f8b82dba4d0f8a1b420491e9769a730557ec7a

[consensus][easy] leverage commit_info to simplify code Closes: #1737 Approved by: davidiw

view details

aldenhu

commit sha 7f62cae2d5088aed77596dc750cb7f57ce403f57

[storage] LibraDB returns real ValidatorChangeEventWithProof Closes: #1698 Approved by: wqfish

view details

aldenhu

commit sha 393c95f1be3944ef298688082c768159ca386ab3

[storage] make epoch bumps real in tests Closes: #1698 Approved by: wqfish

view details

aldenhu

commit sha ec8a2b342095f4928f1865bef6d5a9e271c3658d

[storage] refine get_latest_ledger_infos_per_epoch 1. renames to get_epoch_change_ledger_infos 2. no longer return the last ledger info if it's not a epoch bump 3. takes ledger_version so when called in update_to_latest_ledger what it returns remains in a consistent view of the db Closes: #1698 Approved by: wqfish

view details

David Wolinsky

commit sha fd589415fc01495b27e253f6158a033a76582055

[config] cleanup BaseConfig and LoggerConfig This commit - removes a lot of unused fields from BaseConfig - renames log_collector to logger to match the type name - enables the actual use of logger config in the code (before it was a no-op) Closes: #1722 Approved by: mimoo

view details

David Wolinsky

commit sha 5942bc5c4ae7753036b8bc3f7a39235450f14aea

[config] Remove a few more unused fields Per title Closes: #1722 Approved by: mimoo

view details

David Wolinsky

commit sha 85661f018d617d5ae44df528b94aa95ebb20bc36

[config] separate safety_rules_config Moving logic around... Closes: #1722 Approved by: mimoo

view details

David Wolinsky

commit sha 34c37eaafac65f137cf832c57027372b80dd907f

[config] move consensus_config into own file purely logic move Closes: #1722 Approved by: mimoo

view details

David Wolinsky

commit sha db6388edf4c281fac7c296f2972ba725e67b0c27

[config] simplify consensus_config - eliminate accessors since everything is public - use enum serialize / deserialize rather than using a custom handler obviously the harder work still remains with handling the load function Closes: #1722 Approved by: mimoo

view details

push time in a month

PR opened libra/libra

Reviewers
[codebuild] Add a buildspec to build and push validator images

Summary

This buildspec will be used to build and push docker images using the AWS Codebuild service. Using AWS Codebuild, we can reduce build + push time of validator images to < 5 minutes

+40 -0

0 comment

2 changed files

pr created time in a month

create barnchankushagarwal/libra

branch : codebuild2

created branch time in a month

delete branch ankushagarwal/libra

delete branch : codebuild

delete time in a month

PR closed libra/libra

Reviewers
[codebuild] Add a buildspec to build and push validator images cla-signed

Summary

This buildspec will be used to build and push docker images using the AWS Codebuild service. Using AWS Codebuild, we can reduce build + push time of validator images to < 5 minutes

+40 -0

0 comment

2 changed files

ankushagarwal

pr closed time in a month

pull request commentlibra/libra

[libra-channel][bug fix] fix sender count tracking logic for channel

Good catch and thanks for the test!

@bors-libra r+

christinacelee

comment created time in a month

pull request commentlibra/libra

cluster-test: enable using async AC client

@bors-libra r+

bmwill

comment created time in a month

delete branch ankushagarwal/libra

delete branch : revert

delete time in a month

PR closed libra/libra

Reviewers
Revert "ac: convert to tonic" cla-signed

Summary

This broke cluster-test

This reverts commit 1b7ae1ecefa45a195f2849c82a6391d580234a1d.

Dec 19 05:06:30.545 INFO Starting experiment all up
thread 'tokio-runtime-worker' panicked at 'default Tokio reactor already set for execution context', /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:92:9
stack backtrace:
   0: backtrace::backtrace::libunwind::trace
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/libunwind.rs:88
   1: backtrace::backtrace::trace_unsynchronized
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/mod.rs:66
   2: std::sys_common::backtrace::_print_fmt
             at src/libstd/sys_common/backtrace.rs:76
   3: <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt
             at src/libstd/sys_common/backtrace.rs:60
   4: core::fmt::write
             at src/libcore/fmt/mod.rs:1030
   5: std::io::Write::write_fmt
             at src/libstd/io/mod.rs:1412
   6: std::sys_common::backtrace::_print
             at src/libstd/sys_common/backtrace.rs:64
   7: std::sys_common::backtrace::print
             at src/libstd/sys_common/backtrace.rs:49
   8: std::panicking::default_hook::{{closure}}
             at src/libstd/panicking.rs:196
   9: std::panicking::default_hook
             at src/libstd/panicking.rs:210
  10: std::panicking::rust_panic_with_hook
             at src/libstd/panicking.rs:473
  11: std::panicking::begin_panic
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:407
  12: tokio::io::driver::set_default::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:92
  13: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  14: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  15: tokio::io::driver::set_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:89
  16: tokio::runtime::io::variant::set_default::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/io.rs:43
  17: core::option::Option<T>::map
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/option.rs:447
  18: tokio::runtime::io::variant::set_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/io.rs:43
  19: tokio::runtime::handle::Handle::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/handle.rs:34
  20: tokio::runtime::blocking::pool::Spawner::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:191
  21: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  22: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  23: tokio::runtime::blocking::pool::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:176
  24: tokio::runtime::handle::Handle::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/handle.rs:33
  25: tokio::runtime::Runtime::block_on
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/mod.rs:406
  26: admission_control_proto::proto::AdmissionControlClientBlocking::client
             at admission_control/admission-control-proto/src/proto/mod.rs:55
  27: admission_control_proto::proto::AdmissionControlClientBlocking::update_to_latest_ledger
             at admission_control/admission-control-proto/src/proto/mod.rs:78
  28: cluster_test::tx_emitter::query_sequence_numbers
             at testsuite/cluster-test/src/tx_emitter.rs:357
  29: cluster_test::tx_emitter::load_faucet_account
             at testsuite/cluster-test/src/tx_emitter.rs:506
  30: cluster_test::tx_emitter::TxEmitter::mint_accounts
             at testsuite/cluster-test/src/tx_emitter.rs:146
  31: cluster_test::tx_emitter::TxEmitter::start_job
             at testsuite/cluster-test/src/tx_emitter.rs:109
  32: cluster_test::tx_emitter::TxEmitter::emit_txn_for
             at testsuite/cluster-test/src/tx_emitter.rs:225
  33: <cluster_test::experiments::performance_benchmark_nodes_down::PerformanceBenchmarkNodesDown as cluster_test::experiments::Experiment>::run::{{closure}}
             at testsuite/cluster-test/src/experiments/performance_benchmark_nodes_down.rs:70
  34: <std::future::GenFuture<T> as core::future::future::Future>::poll::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  35: std::future::set_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:79
  36: <std::future::GenFuture<T> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  37: <core::pin::Pin<P> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/future/future.rs:119
  38: std::future::poll_with_tls_context::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:121
  39: std::future::get_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:111
  40: std::future::poll_with_tls_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:121
  41: cluster_test::ClusterTestRunner::run_single_experiment::{{closure}}
             at testsuite/cluster-test/src/main.rs:570
  42: <std::future::GenFuture<T> as core::future::future::Future>::poll::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  43: std::future::set_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:79
  44: <std::future::GenFuture<T> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  45: tokio::task::core::Core<T>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/core.rs:128
  46: tokio::task::harness::Harness<T,S>::poll::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:120
  47: core::ops::function::FnOnce::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/ops/function.rs:227
  48: <std::panic::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:315
  49: std::panicking::try::do_call
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:292
  50: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  51: std::panicking::try
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:271
  52: std::panic::catch_unwind
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:394
  53: tokio::task::harness::Harness<T,S>::poll::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:101
  54: tokio::loom::std::causal_cell::CausalCell<T>::with_mut
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/loom/std/causal_cell.rs:41
  55: tokio::task::harness::Harness<T,S>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:100
  56: tokio::task::raw::RawTask::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/raw.rs:113
  57: tokio::task::Task<S>::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/mod.rs:370
  58: tokio::runtime::thread_pool::worker::GenerationGuard::run_task
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:466
  59: tokio::runtime::thread_pool::worker::GenerationGuard::process_available_work
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:324
  60: tokio::runtime::thread_pool::worker::GenerationGuard::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:289
  61: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:175
  62: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  63: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  64: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:151
  65: tokio::runtime::blocking::pool::Spawner::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:191
  66: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  67: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  68: tokio::runtime::blocking::pool::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:176
  69: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:150
  70: tokio::runtime::global::with_state::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:107
  71: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  72: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  73: tokio::runtime::global::with_state
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:90
  74: tokio::runtime::global::with_thread_pool
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:82
  75: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:149
  76: tokio::runtime::thread_pool::current::set::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/current.rs:47
  77: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  78: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  79: tokio::runtime::thread_pool::current::set
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/current.rs:29
  80: tokio::runtime::thread_pool::worker::Worker::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:145
  81: tokio::runtime::thread_pool::Workers::spawn::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/mod.rs:124
  82: <tokio::runtime::blocking::task::BlockingTask<T> as core::future::future::Future>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/task.rs:30
  83: tokio::task::core::Core<T>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/core.rs:128
  84: tokio::task::harness::Harness<T,S>::poll::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:120
  85: core::ops::function::FnOnce::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/ops/function.rs:227
  86: <std::panic::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:315
  87: std::panicking::try::do_call
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:292
  88: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  89: std::panicking::try
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:271
  90: std::panic::catch_unwind
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:394
  91: tokio::task::harness::Harness<T,S>::poll::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:101
  92: tokio::loom::std::causal_cell::CausalCell<T>::with_mut
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/loom/std/causal_cell.rs:41
  93: tokio::task::harness::Harness<T,S>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:100
  94: tokio::task::raw::RawTask::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/raw.rs:113
  95: tokio::task::Task<S>::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/mod.rs:370
  96: tokio::runtime::blocking::pool::run_task
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:352
  97: tokio::runtime::blocking::pool::Inner::run2
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:278
  98: tokio::runtime::blocking::pool::Inner::run::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:263
  99: tokio::runtime::global::with_state::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:107
 100: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
 101: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
 102: tokio::runtime::global::with_state
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:90
 103: tokio::runtime::global::with_thread_pool
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:82
 104: tokio::runtime::thread_pool::spawner::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/spawner.rs:44
 105: tokio::runtime::spawner::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/spawner.rs:32
 106: tokio::runtime::blocking::pool::Inner::run::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:263
 107: tokio::time::clock::Clock::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/time/clock.rs:30
 108: tokio::runtime::time::variant::with_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/time.rs:43
 109: tokio::runtime::blocking::pool::Inner::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:262
 110: tokio::runtime::blocking::pool::Spawner::spawn_thread::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:246
note: Some details are omitted, run with `RUST_BACKTRACE=full` for a verbose backtrace.
thread 'main' panicked at 'Failed to poll join handle: JoinError::Panic(...)', src/libcore/result.rs:1165:5
stack backtrace:
   0: backtrace::backtrace::libunwind::trace
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/libunwind.rs:88
   1: backtrace::backtrace::trace_unsynchronized
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/mod.rs:66
   2: std::sys_common::backtrace::_print_fmt
             at src/libstd/sys_common/backtrace.rs:76
   3: <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt
             at src/libstd/sys_common/backtrace.rs:60
   4: core::fmt::write
             at src/libcore/fmt/mod.rs:1030
   5: std::io::Write::write_fmt
             at src/libstd/io/mod.rs:1412
   6: std::sys_common::backtrace::_print
             at src/libstd/sys_common/backtrace.rs:64
   7: std::sys_common::backtrace::print
             at src/libstd/sys_common/backtrace.rs:49
   8: std::panicking::default_hook::{{closure}}
             at src/libstd/panicking.rs:196
   9: std::panicking::default_hook
             at src/libstd/panicking.rs:210
  10: std::panicking::rust_panic_with_hook
             at src/libstd/panicking.rs:473
  11: std::panicking::continue_panic_fmt
             at src/libstd/panicking.rs:380
  12: rust_begin_unwind
             at src/libstd/panicking.rs:307
  13: core::panicking::panic_fmt
             at src/libcore/panicking.rs:85
  14: core::result::unwrap_failed
             at src/libcore/result.rs:1165
  15: core::result::Result<T,E>::expect
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/result.rs:960
  16: cluster_test::ClusterTestRunner::run_single_experiment
             at testsuite/cluster-test/src/main.rs:594
  17: cluster_test::ClusterTestRunner::cleanup_and_run
             at testsuite/cluster-test/src/main.rs:535
  18: cluster_test::main
             at testsuite/cluster-test/src/main.rs:188
  19: std::rt::lang_start::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/rt.rs:64
  20: std::rt::lang_start_internal::{{closure}}
             at src/libstd/rt.rs:49
  21: std::panicking::try::do_call
             at src/libstd/panicking.rs:292
  22: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  23: std::panicking::try
             at src/libstd/panicking.rs:271
  24: std::panic::catch_unwind
             at src/libstd/panic.rs:394
  25: std::rt::lang_start_internal
             at src/libstd/rt.rs:48
  26: main
  27: __libc_start_main
  28: _start
note: Some details are omitted, run with `RUST_BACKTRACE=full` for a verbose backtrace.
+189 -231

6 comments

13 changed files

ankushagarwal

pr closed time in a month

pull request commentlibra/libra

cluster-test: enable using async AC client

This seems to be stuck somewhere in run_single_experiment function

cluster-test  --run performance_benchmark_nodes_down -- --num-nodes-down 0
Dec 19 16:17:40.691 INFO Discovered 100 peers in kush5 workspace
Dec 19 16:17:41.036 INFO Log tail thread started in 344 ms
Dec 19 16:17:41.036 INFO Will use kush tag for deployment
Dec 19 16:17:41.361 INFO Starting experiment all up
...
<no progress>
bmwill

comment created time in a month

pull request commentlibra/libra

cluster-test: temporary fix

@bors-libra r+

bmwill

comment created time in a month

pull request commentlibra/libra

Revert "ac: convert to tonic"

@bors-libra r+

ankushagarwal

comment created time in a month

PR opened libra/libra

Reviewers
Revert "ac: convert to tonic"

Summary

This broke cluster-test

This reverts commit 1b7ae1ecefa45a195f2849c82a6391d580234a1d.

Dec 19 05:06:30.545 INFO Starting experiment all up
thread 'tokio-runtime-worker' panicked at 'default Tokio reactor already set for execution context', /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:92:9
stack backtrace:
   0: backtrace::backtrace::libunwind::trace
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/libunwind.rs:88
   1: backtrace::backtrace::trace_unsynchronized
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/mod.rs:66
   2: std::sys_common::backtrace::_print_fmt
             at src/libstd/sys_common/backtrace.rs:76
   3: <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt
             at src/libstd/sys_common/backtrace.rs:60
   4: core::fmt::write
             at src/libcore/fmt/mod.rs:1030
   5: std::io::Write::write_fmt
             at src/libstd/io/mod.rs:1412
   6: std::sys_common::backtrace::_print
             at src/libstd/sys_common/backtrace.rs:64
   7: std::sys_common::backtrace::print
             at src/libstd/sys_common/backtrace.rs:49
   8: std::panicking::default_hook::{{closure}}
             at src/libstd/panicking.rs:196
   9: std::panicking::default_hook
             at src/libstd/panicking.rs:210
  10: std::panicking::rust_panic_with_hook
             at src/libstd/panicking.rs:473
  11: std::panicking::begin_panic
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:407
  12: tokio::io::driver::set_default::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:92
  13: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  14: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  15: tokio::io::driver::set_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/io/driver/mod.rs:89
  16: tokio::runtime::io::variant::set_default::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/io.rs:43
  17: core::option::Option<T>::map
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/option.rs:447
  18: tokio::runtime::io::variant::set_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/io.rs:43
  19: tokio::runtime::handle::Handle::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/handle.rs:34
  20: tokio::runtime::blocking::pool::Spawner::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:191
  21: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  22: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  23: tokio::runtime::blocking::pool::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:176
  24: tokio::runtime::handle::Handle::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/handle.rs:33
  25: tokio::runtime::Runtime::block_on
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/mod.rs:406
  26: admission_control_proto::proto::AdmissionControlClientBlocking::client
             at admission_control/admission-control-proto/src/proto/mod.rs:55
  27: admission_control_proto::proto::AdmissionControlClientBlocking::update_to_latest_ledger
             at admission_control/admission-control-proto/src/proto/mod.rs:78
  28: cluster_test::tx_emitter::query_sequence_numbers
             at testsuite/cluster-test/src/tx_emitter.rs:357
  29: cluster_test::tx_emitter::load_faucet_account
             at testsuite/cluster-test/src/tx_emitter.rs:506
  30: cluster_test::tx_emitter::TxEmitter::mint_accounts
             at testsuite/cluster-test/src/tx_emitter.rs:146
  31: cluster_test::tx_emitter::TxEmitter::start_job
             at testsuite/cluster-test/src/tx_emitter.rs:109
  32: cluster_test::tx_emitter::TxEmitter::emit_txn_for
             at testsuite/cluster-test/src/tx_emitter.rs:225
  33: <cluster_test::experiments::performance_benchmark_nodes_down::PerformanceBenchmarkNodesDown as cluster_test::experiments::Experiment>::run::{{closure}}
             at testsuite/cluster-test/src/experiments/performance_benchmark_nodes_down.rs:70
  34: <std::future::GenFuture<T> as core::future::future::Future>::poll::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  35: std::future::set_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:79
  36: <std::future::GenFuture<T> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  37: <core::pin::Pin<P> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/future/future.rs:119
  38: std::future::poll_with_tls_context::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:121
  39: std::future::get_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:111
  40: std::future::poll_with_tls_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:121
  41: cluster_test::ClusterTestRunner::run_single_experiment::{{closure}}
             at testsuite/cluster-test/src/main.rs:570
  42: <std::future::GenFuture<T> as core::future::future::Future>::poll::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  43: std::future::set_task_context
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:79
  44: <std::future::GenFuture<T> as core::future::future::Future>::poll
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/future.rs:43
  45: tokio::task::core::Core<T>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/core.rs:128
  46: tokio::task::harness::Harness<T,S>::poll::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:120
  47: core::ops::function::FnOnce::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/ops/function.rs:227
  48: <std::panic::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:315
  49: std::panicking::try::do_call
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:292
  50: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  51: std::panicking::try
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:271
  52: std::panic::catch_unwind
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:394
  53: tokio::task::harness::Harness<T,S>::poll::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:101
  54: tokio::loom::std::causal_cell::CausalCell<T>::with_mut
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/loom/std/causal_cell.rs:41
  55: tokio::task::harness::Harness<T,S>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:100
  56: tokio::task::raw::RawTask::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/raw.rs:113
  57: tokio::task::Task<S>::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/mod.rs:370
  58: tokio::runtime::thread_pool::worker::GenerationGuard::run_task
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:466
  59: tokio::runtime::thread_pool::worker::GenerationGuard::process_available_work
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:324
  60: tokio::runtime::thread_pool::worker::GenerationGuard::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:289
  61: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:175
  62: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  63: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  64: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:151
  65: tokio::runtime::blocking::pool::Spawner::enter::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:191
  66: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  67: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  68: tokio::runtime::blocking::pool::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:176
  69: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:150
  70: tokio::runtime::global::with_state::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:107
  71: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  72: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  73: tokio::runtime::global::with_state
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:90
  74: tokio::runtime::global::with_thread_pool
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:82
  75: tokio::runtime::thread_pool::worker::Worker::run::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:149
  76: tokio::runtime::thread_pool::current::set::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/current.rs:47
  77: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
  78: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
  79: tokio::runtime::thread_pool::current::set
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/current.rs:29
  80: tokio::runtime::thread_pool::worker::Worker::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/worker.rs:145
  81: tokio::runtime::thread_pool::Workers::spawn::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/mod.rs:124
  82: <tokio::runtime::blocking::task::BlockingTask<T> as core::future::future::Future>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/task.rs:30
  83: tokio::task::core::Core<T>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/core.rs:128
  84: tokio::task::harness::Harness<T,S>::poll::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:120
  85: core::ops::function::FnOnce::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/ops/function.rs:227
  86: <std::panic::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:315
  87: std::panicking::try::do_call
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:292
  88: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  89: std::panicking::try
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panicking.rs:271
  90: std::panic::catch_unwind
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/panic.rs:394
  91: tokio::task::harness::Harness<T,S>::poll::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:101
  92: tokio::loom::std::causal_cell::CausalCell<T>::with_mut
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/loom/std/causal_cell.rs:41
  93: tokio::task::harness::Harness<T,S>::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/harness.rs:100
  94: tokio::task::raw::RawTask::poll
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/raw.rs:113
  95: tokio::task::Task<S>::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/task/mod.rs:370
  96: tokio::runtime::blocking::pool::run_task
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:352
  97: tokio::runtime::blocking::pool::Inner::run2
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:278
  98: tokio::runtime::blocking::pool::Inner::run::{{closure}}::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:263
  99: tokio::runtime::global::with_state::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:107
 100: std::thread::local::LocalKey<T>::try_with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:262
 101: std::thread::local::LocalKey<T>::with
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/thread/local.rs:239
 102: tokio::runtime::global::with_state
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:90
 103: tokio::runtime::global::with_thread_pool
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/global.rs:82
 104: tokio::runtime::thread_pool::spawner::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/thread_pool/spawner.rs:44
 105: tokio::runtime::spawner::Spawner::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/spawner.rs:32
 106: tokio::runtime::blocking::pool::Inner::run::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:263
 107: tokio::time::clock::Clock::enter
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/time/clock.rs:30
 108: tokio::runtime::time::variant::with_default
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/time.rs:43
 109: tokio::runtime::blocking::pool::Inner::run
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:262
 110: tokio::runtime::blocking::pool::Spawner::spawn_thread::{{closure}}
             at /root/.cargo/registry/src/github.com-1ecc6299db9ec823/tokio-0.2.1/src/runtime/blocking/pool.rs:246
note: Some details are omitted, run with `RUST_BACKTRACE=full` for a verbose backtrace.
thread 'main' panicked at 'Failed to poll join handle: JoinError::Panic(...)', src/libcore/result.rs:1165:5
stack backtrace:
   0: backtrace::backtrace::libunwind::trace
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/libunwind.rs:88
   1: backtrace::backtrace::trace_unsynchronized
             at /cargo/registry/src/github.com-1ecc6299db9ec823/backtrace-0.3.37/src/backtrace/mod.rs:66
   2: std::sys_common::backtrace::_print_fmt
             at src/libstd/sys_common/backtrace.rs:76
   3: <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt
             at src/libstd/sys_common/backtrace.rs:60
   4: core::fmt::write
             at src/libcore/fmt/mod.rs:1030
   5: std::io::Write::write_fmt
             at src/libstd/io/mod.rs:1412
   6: std::sys_common::backtrace::_print
             at src/libstd/sys_common/backtrace.rs:64
   7: std::sys_common::backtrace::print
             at src/libstd/sys_common/backtrace.rs:49
   8: std::panicking::default_hook::{{closure}}
             at src/libstd/panicking.rs:196
   9: std::panicking::default_hook
             at src/libstd/panicking.rs:210
  10: std::panicking::rust_panic_with_hook
             at src/libstd/panicking.rs:473
  11: std::panicking::continue_panic_fmt
             at src/libstd/panicking.rs:380
  12: rust_begin_unwind
             at src/libstd/panicking.rs:307
  13: core::panicking::panic_fmt
             at src/libcore/panicking.rs:85
  14: core::result::unwrap_failed
             at src/libcore/result.rs:1165
  15: core::result::Result<T,E>::expect
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libcore/result.rs:960
  16: cluster_test::ClusterTestRunner::run_single_experiment
             at testsuite/cluster-test/src/main.rs:594
  17: cluster_test::ClusterTestRunner::cleanup_and_run
             at testsuite/cluster-test/src/main.rs:535
  18: cluster_test::main
             at testsuite/cluster-test/src/main.rs:188
  19: std::rt::lang_start::{{closure}}
             at /rustc/4560ea788cb760f0a34127156c78e2552949f734/src/libstd/rt.rs:64
  20: std::rt::lang_start_internal::{{closure}}
             at src/libstd/rt.rs:49
  21: std::panicking::try::do_call
             at src/libstd/panicking.rs:292
  22: __rust_maybe_catch_panic
             at src/libpanic_unwind/lib.rs:80
  23: std::panicking::try
             at src/libstd/panicking.rs:271
  24: std::panic::catch_unwind
             at src/libstd/panic.rs:394
  25: std::rt::lang_start_internal
             at src/libstd/rt.rs:48
  26: main
  27: __libc_start_main
  28: _start
note: Some details are omitted, run with `RUST_BACKTRACE=full` for a verbose backtrace.
+189 -231

0 comment

13 changed files

pr created time in a month

create barnchankushagarwal/libra

branch : revert

created branch time in a month

pull request commentlibra/libra

ac: convert to tonic

@bmwill I think this is broke cluster-test https://our.internmc.facebook.com/intern/paste/P124206143/

bmwill

comment created time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 375b17150b36d089417d4b027ff39f217c880a74

[codebuild] Add a buildspec to build and push validator images

view details

push time in a month

PR opened libra/libra

Reviewers
[codebuild] Add a buildspec to build and push validator images

Summary

This buildspec will be used to build and push docker images using the AWS Codebuild service

+42 -0

0 comment

2 changed files

pr created time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 216549a10bd9f17233f85f8351471e32a2854a7b

[codebuild] Add a buildspec to build and push validator images

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 11730fee109432f21cb5029f90d4cc5b1017b325

[codebuild] Test

view details

push time in a month

push eventankushagarwal/libra

Qinfan Wu

commit sha e34f85ab8b184e99d11ba37eb17d890ffe422a8b

Update cargo test instruction in READMEs Now that we use `cargo x`, the old instructions no longer work. Closes: #2062 Approved by: metajack

view details

Brandon Williams

commit sha f685e3681206630106efe79376bf2791e4fa94b3

state-sync: use async-trait for ExecutorProxyTrait Closes: #2063 Approved by: wqfish

view details

Brandon Williams

commit sha 48c7a27253cceca7d61eb2064edf8c8b016e325e

state-sync: make all ExecutorProxyTrait methods async Closes: #2063 Approved by: wqfish

view details

Brandon Williams

commit sha 412e61bd053d70800dde40a4c74bf6869ed37a4d

consensus: use async-trait for StateComputer Closes: #2063 Approved by: wqfish

view details

David Wolinsky

commit sha 0d5007ec9ed3eb5285901cd4ebdc78fb8425d030

[consensus] breaking up safety rules crate Preparing for an interface for SafetyRules by separating these data structures into their own files for logical separation. Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha 1b71f80798ee0b674790711913211ac7fec983db

[consensus] separate test and test utils Will reuse test_utils for creating a benchmark Made test_utils generic for more meaningful benchmark Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha 1890a2dc6a2e2452719ddede569789bc1283a269

[consensus] Add safety rules benchmark The intent of this benchmark is to help evaluate design choices for the TCB prior to full e2e evaluation. It generates. updates, and votes on blocks -- performing the most critical and frequent actions for the TCB. It is entirely possible that the benchmark will be moderately consumed by just generating data structures but it should still be sufficient to identify regressions / improvements to the LSR code. Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha dcefe78159ce3b3c9a39dfec3fc011851971b220

[consensus] new interface for safety rules In order to build a client/server model, SafetyRules needs an API that does not take references. This builds that interface along with a trait. Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha 74997f881da2843a8bf358f9ddf7a7e8008c9edb

[consensus] Add a wrapper around safety rules The SafetyRulesManager offers a convenient method to support a client/server and a local executing instance of safety rules. The LocalClient enables us to pass to Consensus a clean interface into a Boxed trait that hides the implementation details of what Consensus executes on -- whether that be a client or a safety rules directly. Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha dc857f5bbb7946892cc3c21be16e50449f5e0888

[consensus] Use SafetyRulesManager in Consensus This creates a clean interface between safety rules and consensus so that we can transparently move safety rules into its own service in future commits. Closes: #2043 Approved by: davidiw

view details

David Wolinsky

commit sha 8d25398ab938054e891e2dcfe100289c2ff4e86d

[consensus] event_processor_test use SafetyRulesManager Cleaner approach to running this test that doesn't rely on a real persistent storage (disk). Closes: #2043 Approved by: davidiw

view details

Brandon Williams

commit sha 1b7ae1ecefa45a195f2849c82a6391d580234a1d

ac: convert to tonic Closes: #2058 Approved by: metajack

view details

Zekun Li

commit sha befc521cec0c72715e92b76213231203d8f16415

[consensus][easy] allow consensus to jump epochs via multi requests This is the last step to enable consensus to iterate through epochs, if we receive a EpochRetrieval that exceeds the storage limit, we send back the # of limit proof instead of bailing out. The receiver would catch up to the epoch the proof ends with, and upon next message with future epoch, it'll send another EpochRetrieval so that it can catch up eventually. Closes: #2068 Approved by: dmitri-perelman

view details

Ankush Agarwal

commit sha c0a8acf2b2e5226ada4c8c3f8fa7ed21db04e419

[codebuild] Test

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 31f58047c126d01c16a34aa8e27b7281d8f5ba54

[codebuild] Test

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 7b2da866a2d904c96773c13466ede2c390ab68fc

[codebuild] Test

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 037df1eab99617177d5a1c6da74d5c4de0d7e5ee

[codebuild] Test

view details

push time in a month

push eventankushagarwal/libra

Ankush Agarwal

commit sha 1c958706049eeb358ca13926bfc7c84005c9cf8e

[codebuild] Test

view details

push time in a month

create barnchankushagarwal/libra

branch : codebuild

created branch time in a month

delete branch ankushagarwal/libra

delete branch : cluster-test-stuff

delete time in a month

PR opened libra/libra

Reviewers
[cluster-test] Print experiment results when running single experiment cluster_test

Summary

We were not printing the results of the experiment. Added a log line to print experiment results

+10 -2

0 comment

1 changed file

pr created time in a month

create barnchankushagarwal/libra

branch : cluster-test-stuff

created branch time in a month

pull request commentlibra/libra

Fix incremental build script for mac

@bors-libra r+

andll

comment created time in a month

issue commentlibra/libra

[RFC] Allow to make arbitrary cluster test suite with yaml files

Agree with what @andll said.

The declarative approach for writing experiments would be too restrictive and we would be adding another translation layer which is not necessary.

andll

comment created time in a month

pull request commentlibra/libra

[cluster-test] Additional terraform setup for cluster test instance

@bors-libra r+

andll

comment created time in a month

Pull request review commentlibra/libra

[cluster-test][tiny] Set known client version to 1 in tx_emitter

 use libra_crypto::{     hash::{CryptoHash, TransactionAccumulatorHasher},     HashValue, };+use libra_logger::prelude::*;

Can you remove this line and land this change? I want to see how cluster-test numbers improve with this PR

dmitri-perelman

comment created time in a month

delete branch ankushagarwal/libra

delete branch : tempfix

delete time in a month

delete branch ankushagarwal/libra

delete branch : cluster-test-common

delete time in a month

PR closed libra/libra

Reviewers
[cluster-test] Mount datadir to /opt/libra/etc/libradb/db cla-signed cluster_test

Summary

Temporary fix to enable libra-node to write logs and rocksdb data to the /data directory on the host

The config currently hardcodes the storage directory to /opt/libra/etc/libradb/db, so here we mount /data from host into /opt/libra/etc/libradb/db on the container. We also change the location of the libra.log inside the container, but it stays on /data directory on the host

Test Plan

terraform apply

+2 -2

6 comments

2 changed files

ankushagarwal

pr closed time in a month

pull request commentlibra/libra

[cluster-test] Use /data/libra/common/ to delete db

Updated @bors-libra r+

ankushagarwal

comment created time in a month

more